import 'package:flutter/material.dart';
import 'dart:async';

import 'package:flutter/services.dart';
import 'package:flyy_flutter_plugin/flyy_flutter_plugin.dart';

void main() {
  WidgetsFlutterBinding.ensureInitialized();
  runApp(MyApp());
}

class MyApp extends StatefulWidget {
  @override
  _MyAppState createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {
  var initResult = "";

  @override
  void initState() {
    super.initState();
    initFlyySdk();
  }

  // Platform messages are asynchronous, so we initialize in an async method.
  initFlyySdk() {
    FlyyFlutterPlugin.initFlyySDK(
        "<partner-token>", FlyyFlutterPlugin.PRODUCTION);
    FlyyFlutterPlugin.setFlyyUser("1234567890");
  }

  Future<void> callSetUser() async {

    // await FlyyFlutterPlugin.setFlyyUserName("Pooja");
    // await FlyyFlutterPlugin.sendEvent("flutter_plugin_android", "test");
    callOfferPage();
  }

  Future<void> callOfferPage() async {
    FlyyFlutterPlugin.openFlyyOffersPage();
  }

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      home: Scaffold(
        appBar: AppBar(
          title: const Text('Plugin example app'),
        ),
        body: GestureDetector(
          onTap: () {
            callSetUser();
          },
          child: Center(
            child: Text('Start Flyy'),
          ),
        ),
      ),
    );
  }
}
