import Flutter
import UIKit

public class SwiftFlyyFlutterPlugin: NSObject, FlutterPlugin {
    
    var uiVC : UIViewController
    init(uiViewController: UIViewController) {
        self.uiVC = uiViewController
    }
    
  public static func register(with registrar: FlutterPluginRegistrar) {
    let channel = FlutterMethodChannel(name: "flyy_flutter_plugin", binaryMessenger: registrar.messenger())
    
    let viewController: UIViewController =
        (UIApplication.shared.delegate?.window??.rootViewController)!
    
    let instance = SwiftFlyyFlutterPlugin(uiViewController: viewController)
    
    registrar.addMethodCallDelegate(instance, channel: channel)
  }

  public func handle(_ call: FlutterMethodCall, result: @escaping FlutterResult) {
    result("iOS " + UIDevice.current.systemVersion)
    print("Done Printing metod call")
    if (call.method == "flyy_open_offers_screen")
    {
        let webview = WebVC.init()
        let navigationController = UINavigationController(rootViewController: (webview))
        navigationController.modalPresentationStyle = .fullScreen
        webview.getUrl = "https://web-sdk.theflyy.com/rewards"
        self.uiVC.present(navigationController, animated: true)
    }
  }
}
